Search Results for

Show / Hide Table of Contents

# Class TabView.Tab

A single tab in a TabView

##### Inheritance

System.Object
TabView.Tab

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Tab

### Constructors

#### Tab()

Creates a new unamed tab with no controls inside

##### Declaration

    public Tab()

#### Tab(String, View)

Creates a new tab with the given text hosting a view

##### Declaration

    public Tab(string text, View view)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
View | view |

### Properties

#### Text

The text to display in a TabView

##### Declaration

    public ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### View

The control to display when the tab is selected

##### Declaration

    public View View { get; set; }

##### Property Value

Type | Description
--- | ---
View |